extends ../../common-templates/layout

block content
  .row
    .col-md-9
      h1 All Videos

      if videos.length === 0
        p No videos.  Upload one!
      else
        table.table.table-striped
          thead
            tr
              th Preview
              th "View"
          tbody
            each video in videos
              - const embedUrl = `https://www.youtube.com/embed/${video.url.split('=')[1]}`
              tr
                td
                  iframe(src=embedUrl frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen)
                td
                  form(action=`/videos/${video.id}/view`, method='POST')
                    button.btn.btn-info(type='submit') View

    .col-md-3
      .bs-component
        .card.text-white.bg-primary.mb-3
          .card-header Upload a video
          .card-body
            form(action='/videos', method='POST')
              .form-group
                label(for='file') File
                input.form-control-file(type='file', name='file')
              button.btn.btn-info(type='submit') Upload
